@import url('https://fonts.googleapis.com/css2?family=Alan+Sans:wght@800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:wght@300..800&display=swap');

body
{
	margin: 2% 10%;
	color: #284;
	background-color: #8f9;
}
h1
{
	text-align: center;
	font-family: "Alan Sans", sans-serif;
}
table
{
	width: 100%;
	font-family: "Google Sans Code", monospace;
	font-size: 1.2em;
	border-collapse: collapse;
}
tr:nth-child(even)
{
	background-color: #8f9;
}
tr:nth-child(odd)
{
	background-color: #7d8;
}
td
{
	padding: 4px;
}
td.nom
{
	text-align: left;
	word-break: break-all;
}
td.taille
{
	text-align: right;
}

@media (max-width: 640px)
{
	*
	{
		box-sizing: border-box;
	}

	body
	{
		width: auto;
		margin: 0;
		padding: 0;
	}

	h1
	{
		margin: 3vw 0;
		font-size: 8vw;
	}
	td.nom
	{
		font-size: 4vw;
	}
	td.taille
	{
		font-size: 3vw;
	}
}

@media (prefers-color-scheme: dark)
{
	body
	{
		color: #44f366;
		background-color: #15341f;
	}
	tr:nth-child(even)
	{
		background-color: #102c13;
	}
	tr:nth-child(odd)
	{
		background-color: #154225;
	}
	a
	{
		color: #2fc;
	}
}
